package it.eng.components.cimero;

import org.eclipse.gef.requests.SimpleFactory;

import com.bull.cimero.pluginEditor.editors.model.GeneriqueCimeroModel;

public class CustomSimpleFactory extends SimpleFactory {

	protected String customComponentId = null;
	/**
	 * Creates a SimpleFactory.
	 *
	 * @param aClass The class to be instantiated using this factory.
	 */
	public CustomSimpleFactory(Class aClass, String cutomerComponentId) {
		super(aClass);
		this.customComponentId = cutomerComponentId;
	}

	/**
	 * Create the new object.
	 *
	 * @return The newly created object.
	 */
	public Object getNewObject() {
		try {
			Object o = super.getNewObject();
			if (o instanceof GeneriqueCimeroModel) {
				((GeneriqueCimeroModel)o).setCustomComponentId(customComponentId);	
				((GeneriqueCimeroModel)o).setCustomComponent(true);
				((GeneriqueCimeroModel)o).configureCustomComponent();
			}
			return o;
		} catch (Exception exc) {
			exc.printStackTrace();
			return null;
		}
	}

	

}
