package org.eclipse.jet.compiled;

import org.eclipse.jet.JET2Context;
import org.eclipse.jet.JET2Template;
import org.eclipse.jet.JET2Writer;
import org.eclipse.jet.taglib.RuntimeTagElement;
import org.eclipse.jet.taglib.TagInfo;
import org.eclipse.emf.ecore.*;
import org.eclipse.emf.ecore.resource.*;
import org.eclipse.stp.im.*;
import org.eclipse.stp.im.impl.*;
import java.util.*;
import org.spagic.utils.*;
import org.spagic.im.out.jbi.smx.utils.*;

public class _jet_JBIStandardRouter implements JET2Template {
    private static final String _jetns_ws = "org.eclipse.jet.workspaceTags"; //$NON-NLS-1$

    public _jet_JBIStandardRouter() {
        super();
    }

    private static final String NL = System.getProperty("line.separator"); //$NON-NLS-1$
    
    private static final TagInfo _td_ws_file_35_2 = new TagInfo("ws:file", //$NON-NLS-1$
            35, 2,
            new String[] {
                "template", //$NON-NLS-1$
                "path", //$NON-NLS-1$
            },
            new String[] {
                "templates/servicebindings/RoutingRules.jet", //$NON-NLS-1$
                "{$drlFileName}", //$NON-NLS-1$
            } );

    public void generate(final JET2Context context, final JET2Writer __out) {
        JET2Writer out = __out;

	org.eclipse.stp.im.Process aProcess = (org.eclipse.stp.im.Process)context.getVariable("process");
	Step aStep = (Step)context.getVariable("step");
	String drlFileName = SpagicUtils.getStepLocalNamePart(aProcess, aStep) + ".drl";
	context.setVariable("drlFileName", drlFileName);

        out.write(NL);         
        out.write("\t");  //$NON-NLS-1$        
        RuntimeTagElement _jettag_ws_file_35_2 = context.getTagFactory().createRuntimeTag(_jetns_ws, "file", "ws:file", _td_ws_file_35_2); //$NON-NLS-1$ //$NON-NLS-2$
        _jettag_ws_file_35_2.setRuntimeParent(null);
        _jettag_ws_file_35_2.setTagInfo(_td_ws_file_35_2);
        _jettag_ws_file_35_2.doStart(context, out);
        _jettag_ws_file_35_2.doEnd();
        out.write(NL);         
        out.write(NL);         
        out.write("\t<");  //$NON-NLS-1$        
        out.write(context.getVariable("suNameSpacePrefix"));
        out.write(":endpoint");  //$NON-NLS-1$        
        out.write(NL);         
        out.write("\t\tdepends-on=\"spagicProcessProperties\"");  //$NON-NLS-1$        
        out.write(NL);         
        out.write("\t\tservice=\"");  //$NON-NLS-1$        
        out.write(SpagicUtils.getStepNameInProcess(aProcess, aStep));
        out.write("\"");  //$NON-NLS-1$        
        out.write(NL);         
        out.write("\t\tendpoint=\"");  //$NON-NLS-1$        
        out.write(SpagicUtils.getStepLocalNamePart(aProcess, aStep));
        out.write("\"");  //$NON-NLS-1$        
        out.write(NL);         
        out.write("\t\truleBaseResource=\"classpath:");  //$NON-NLS-1$        
        out.write(drlFileName);
        out.write("\"");  //$NON-NLS-1$        
        out.write(NL);         
        out.write("\t\tnamespaceContext=\"#nsContext\">");  //$NON-NLS-1$        
        out.write(NL);         
        out.write("\t</");  //$NON-NLS-1$        
        out.write(context.getVariable("suNameSpacePrefix"));
        out.write(":endpoint>");  //$NON-NLS-1$        
        out.write(NL);         
    }
}
