package it.eng.cimero.plugin.descriptor;

import org.eclipse.jface.viewers.CellEditor;
import org.eclipse.jface.viewers.TextCellEditor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.views.properties.TextPropertyDescriptor;

public class PasswordTextPropertyDescriptor extends TextPropertyDescriptor {
	 
	public PasswordTextPropertyDescriptor(Object id, String displayName) {
		super(id, displayName);
	}

	public CellEditor createPropertyEditor(Composite parent) {
	        CellEditor editor = new TextCellEditor(parent, SWT.PASSWORD);
	        // TODO check why the password is shown when the cell editor lose focus
	        // check:
	        // http://www.eclipsezone.com/eclipse/forums/m92130816.html 
	        if (getValidator() != null) {
				editor.setValidator(getValidator());
			}
	        return editor;
	    }

}
